---
title: RTCIceCandidatePairStats.remoteCandidateId
slug: Web/API/RTCIceCandidatePairStats/remoteCandidateId
tags:
  - API
  - Candidate
  - Connectivity
  - ICE
  - Networking
  - Property
  - RTCIceCandidatePairStats
  - Reference
  - Remote
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - id
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidatePairStats")}} property <strong><code>remoteCandidateId</code></strong> is a string that uniquely identifies the remote {{Glossary("ICE")}} candidate which was analyzed to generate the {{domxref("RTCIceCandidateStats")}} used to compute the statistics for this pair of candidates.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>remoteCandidateId</em> = <em>rtcIceCandidatePairStats</em>.remoteCandidateId;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} uniquely identifies the remote {{Glossary("ICE")}} candidate—that is, the candidate describing a configuration for the remote peer—which is represented by the remote end of these statistics.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-remotecandidateid', 'RTCIceCandidatePairStats.remoteCandidateId') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.remoteCandidateId")}}</p>
